<?php 
		
		$md5=$_REQUEST["MAC"];
		$orderid=$_REQUEST["ORDERID"];
		$succ=$_REQUEST["SUCCEEDFLAG"];
		$amount=$_REQUEST["ORDERMONEY"];
		$username=$_REQUEST["USERNAME"];
		$shopid=$_REQUEST["SHOPID"];

		//////////////////////////////////

		 include($PayCenterPath."/paymethod/nusoap.php"); 

		 $src_string="USERNAME=".$username."|SHOPID=".$shopid."|ORDERID=".$orderid."|ORDERMONEY=".$amount."|SUCCEEDFLAG=".$succ;
		 $parameters=array("sStrFromStore"=>$src_string,"sForward"=>"RETURN");

		 //初始化soapclient
         $soapclient=new soapclient("http://estore.8848.com/PayGateway.asmx?WSDL");
			  
		 //处理
		 $mac=$soapclient->call('PayGatewayEncrypt',$parameters,"http://estore.8848.com/","http://estore.8848.com/PayGatewayEncrypt");

		//////////////////////////////////

		if ($md5==$mac) {
		
			if($succ=="1") {	

					$PageMain=Insert_Back_value($orderid,$amount);

			}else{

					$PageMain=err("支付失败!","member.php","");

			}

		}else{
			
					$PageMain=err("签名认证错误!","member.php","");


		}


?>

